function packet_read_error=read_unknown_packet(fid)
%        (c) Copyright 2004 Massachusetts Institute of Technology
%
%        In no event shall M.I.T. be liable to any party for direct, 
%        indirect, special, incidental, or consequential damages arising
%        out of the use of this software and its documentation, even if
%        M.I.T. has been advised of the possibility of such damage.
%          
%        M.I.T. specifically disclaims any warranties including, but not
%        limited to, the implied warranties of merchantability, fitness
%        for a particular purpose, and non-infringement.
%
%        The software is provided on an "as is" basis and M.I.T. has no
%        obligation to provide maintenance, support, updates, enhancements,
%        or modifications.   
%
% Copyright (c) 2007-2014 University of Wisconsin Regents.

set_globals

% increment counter
g_metadata.packet_stats.num_packets.unknown = g_metadata.packet_stats.num_packets.unknown + 1;

packet_read_error=0;
if(g_header.packet_length<=10|g_header.packet_length>1.e5)
    packet_read_error=2;
    fprintf('read_unknown_packet:Bad packet length = %d (packet_read_error set to 2 return to read packet.m)',g_header.packet_length)          
    return
end

fread(fid,g_header.packet_length-8,'uint8'); % don't count the time words read in get_packet_headers

           
     
      
